Subject: bug#2000: 23.0.60; Rmail mode totally broken

From: Chong Yidong <[email-masked]>
Date: Fri, 23 Jan 2009 14:25:26 -0500

root <[email-masked]> writes:

> I tried your fixed rmail and it does not crash.  However it does not
> provide the label functionality either -- no labels on bottom line,
> and I suspect that that means that setting labels etc is not complete.
>
> I have lots of mail-handling code that uses labels for organisation,
> spam filters and so forth.  Will this rmail-mbox be truly backward
> compatableor do I have to recode it all?  Seems like a shame to me to
> lose a format that I have used for so many years.

I just fixed a couple of bugs in the label handling.  I do see labels
displayed on the mode-line, and the functionality explained in the
section on Labels in the manual now seems to work fine.

What is the nature of this mail-handling code of yours?  Do they make
use of internal Rmail functions, and, if so, what functions are these?